@charset "utf-8";
/* CSS Document */

/* Fonte personalizada
/* ................... */

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,500;1,500&display=swap');

/* Configurações globais
/* ..................... */

:root {	
	--fontePadrao: "Montserrat", serif;
	
	--tamanhoFonte: 14px;
	--espacoBloco: 100px;

	--corFonte: #333;
	--corPadrao1: #fff112;
	--corPadrao2: #00aff0;
	--corPadrao3: #f58634;
	--corPadrao4: #ec3237;
	--corPadrao5: #3e4094;
	
	--corBorda: #ccc;
	--backCorpo: #eee;
	--backBranco: #fff;
	--corErroInput: #ffd7ba;
}

/* Elementos HTML
/* .............. */

* { 
	color: var(--corFonte);
	font-family: var(--fontePadrao);
}

*::selection {
	background: var(--corPadrao3);
	color: var(--backCorpo);
}

	html {
		font-size: var(--tamanhoFonte);
		overflow-x: hidden;
	}

		body {
			background: var(--backCorpo);
			font-size: 1rem;
			line-height: 1.5rem;
		} 

			a { 
				text-decoration: none;
				cursor: pointer;
			}
			
			hr {
				border-top: 1px solid var(--corBorda);
				border-bottom: none;
				border-left: none;
				border-right: none;
			}

/* Títulos e textos
/* ................. */

h1, h1 * {
	font-size: 3rem;
	line-height: 3rem;
}

h2, h2 * {
	font-size: 2.5rem;
	line-height: 2.5rem;
	margin-top: 0;
}


h3, h3 * {
	font-size: 1.7rem;
	line-height: 2.2rem;
	font-weight: normal;
}

h4, h4 * {
	font-size: 1.2rem;
	line-height: 1.2rem;
	font-weight: normal;
}

	:where(h1, h2, h3, h4) {
		margin: 0;
		padding: 0;
	}

.cor-padrao-1, .cor-padrao-1 * { color: var(--corPadrao1); }
.cor-padrao-3, .cor-padrao-3 * { color: var(--corPadrao3); }
.cor-padrao-4, .cor-padrao-4 * { color: var(--corPadrao4); }
.cor-branco, .cor-branco * { color: var(--backBranco);}

/* Backgrounds
/* ........... */

.backCabecalho::before { background: linear-gradient(90deg, var(--backCorpo), 80%, #aaa); }
.backPadrao::before { background: var(--corPadrao3) !important; }
.backCinza::before { background-color: #eee !important; }
.backBranco::before { background-color: #fff !important; }

.backMarcaDagua::before {
	background: url("../../imagens/website/bg_marcadagua.png") no-repeat;
	background-position: left center;
	background-size: cover;
}

.backLogotipo::before {
	background: url("../../imagens/website/bg_logotipo.png") no-repeat;
	background-position: right bottom;
}

.cab-int::before {
	background: url("../../imagens/website/bg_cabecalho.png") center;
	background-size: cover;
}